Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Data Fields | Static Public Attributes
proofs::Fp2< Field, nonresidue_is_mone > Class Template Reference
Collaboration diagram for proofs::Fp2< Field, nonresidue_is_mone >:
[legend]

## Data Structures
struct | Elt

## Public Types
using | Scalar = typename Field::Elt
using | BaseField = Field
using | TypeTag = typename Field::TypeTag

## Public Member Functions
| Fp2 (const Field &F, const Scalar &nonresidue)
| Fp2 (const Field &F)
| Fp2 (const Fp2 &)=delete
Fp2 & | operator= (const Fp2 &)=delete
const Field & | base_field () const
Scalar | real (const Elt &e) const
bool | is_real (const Elt &e) const
void | add (Elt &a, const Elt &y) const
void | sub (Elt &a, const Elt &y) const
void | mul (Elt &a, const Elt &y) const
void | mul (Elt &a, const Scalar &y) const
void | neg (Elt &x) const
void | conj (Elt &x) const
void | invert (Elt &x) const
Elt | addf (Elt a, const Elt &y) const
Elt | subf (Elt a, const Elt &y) const
Elt | mulf (Elt a, const Elt &y) const
Elt | mulf (Elt a, const Scalar &y) const
Elt | negf (Elt a) const
Elt | invertf (Elt a) const
Elt | conjf (Elt a) const
Elt | of_scalar (uint64_t a) const
Elt | of_scalar (const Scalar &e) const
Elt | of_scalar_field (const Scalar &e) const
Elt | of_scalar_field (uint64_t a) const
Elt | of_scalar_field (uint64_t ar, uint64_t ai) const
template<size_t N>
Elt | of_string (const char(&s)[N]) const
template<size_t NR, size_t NI>
Elt | of_string (const char(&sr)[NR], const char(&si)[NI]) const
std::optional< Elt > | of_bytes_field (const uint8_t ab[]) const
void | to_bytes_field (uint8_t ab[], const Elt &x) const
bool | in_subfield (const Elt &e) const
std::optional< Elt > | of_bytes_subfield (const uint8_t ab[]) const
void | to_bytes_subfield (uint8_t ab[], const Elt &x) const
const Elt & | zero () const
const Elt & | one () const
const Elt & | two () const
const Elt & | half () const
const Elt & | mone () const
const Elt & | i () const
Elt | poly_evaluation_point (size_t i) const
Elt | newton_denominator (size_t k, size_t i) const

## Data Fields
const Field & | f_

## Static Public Attributes
static constexpr size_t | kBytes = 2 * Field::kBytes
static constexpr size_t | kBits = 2 * Field::kBits
static constexpr size_t | kSubFieldBytes = Field::kBytes
static constexpr bool | kCharacteristicTwo = false

The documentation for this class was generated from the following file:

- lib/algebra/fp2.h